# KSPGetVecs

Gets a number of work vectors.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetVecs(KSP ksp,PetscInt rightn, Vec **right,PetscInt leftn,Vec **left)

### Input Parameters

| ksp | - iterative context
| rightn | - number of right work vectors
| leftn | - number of left work vectors to allocate

### Output Parameter

| right | - the array of vectors created
| left | - the array of left vectors

Note: The right vector has as many elements as the matrix has columns. The left vector has as many elements as the matrix has rows.

### See Also

MatGetVecs()

Level:advanced
Location: src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages